---
title: Update Parent PolicySet (ID)
description: The PUT /v2/policy-manager/policysets/{{policySetId}}/parents operation updates the parent PolicySets of the PolicySet specified by the id in the request URL.
component: pingauthorize
page_id: pingauthorize:pingauthorize:policy-editor/policy-manager/policysets/update-policyset-parent-policysets
canonical_url: https://developer.pingidentity.com/pingauthorize/pingauthorize/policy-editor/policy-manager/policysets/update-policyset-parent-policysets.html
section_ids:
  headers: Headers
  body: Body
  example-request: Example Request
  example-response: Example Response
---

# Update Parent PolicySet (ID)

##

```none
PUT {{apiPath}}/v2/policy-manager/policysets/{{policySetId}}/parents
```

The `PUT /v2/policy-manager/policysets/{{policySetId}}/parents` operation updates the parent PolicySets of the PolicySet specified by the id in the request URL.

> **Collapse: Query parameters**
>
> | Query parameter | Description                      |
> | --------------- | -------------------------------- |
> | `branch`        | Branch ID or name                |
> | `snapshot`      | Snapshot ID                      |
> | `page`          | Page number of returned policies |
> | `page-size`     | Number of policies per page      |

> **Collapse: Request Model**
>
> For property descriptions, refer to [Authorization policy set data model](../policysets.html#authorization-policy-set-data-model).
>
> | Property             | Type                                      | Required? |
> | -------------------- | ----------------------------------------- | --------- |
> | `version`            | String                                    | Optional  |
> | `name`               | String                                    | Required  |
> | `description`        | String                                    | Required  |
> | `shared`             | Boolean                                   | Optional  |
> | `disabled`           | Boolean                                   | Optional  |
> | `combiningAlgorithm` | CombiningAlgorithm                        | Required  |
> | `children`           | Collection of RuleNodeRepresentation      | Optional  |
> | `repetitionSettings` | RepetitionSettings                        | Required  |
> | `condition`          | Condition object                          | Required  |
> | `statements`         | Collection of StatementNodeRepresentation | Optional  |
> | `targets`            | Collection of TargetNodeRepresentation    | Optional  |

### Headers

Content-Type      application/json

x-user-id      {{userId}}

### Body

raw ( application/json )

```json
{
    "id": {{policySetId}},
    "type": "PolicySet"
}
```

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff --request PUT '{{apiPath}}/v2/policy-manager/policysets/{{policySetId}}/parents' \
--header 'x-user-id: {{userId}}' \
--header 'Content-Type: application/json' \
--data '{
    "id": {{policySetId}},
    "type": "PolicySet"
}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v2/policy-manager/policysets/{{policySetId}}/parents")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Put);
request.AddHeader("x-user-id", "{{userId}}");
request.AddHeader("Content-Type", "application/json");
var body = @"{" + "\n" +
@"    ""id"": {{policySetId}}," + "\n" +
@"    ""type"": ""PolicySet""" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v2/policy-manager/policysets/{{policySetId}}/parents"
  method := "PUT"

  payload := strings.NewReader(`{
    "id": {{policySetId}},
    "type": "PolicySet"
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("x-user-id", "{{userId}}")
  req.Header.Add("Content-Type", "application/json")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
PUT /v2/policy-manager/policysets/{{policySetId}}/parents HTTP/1.1
Host: {{apiPath}}
x-user-id: {{userId}}
Content-Type: application/json

{
    "id": {{policySetId}},
    "type": "PolicySet"
}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n    \"id\": {{policySetId}},\n    \"type\": \"PolicySet\"\n}");
Request request = new Request.Builder()
  .url("{{apiPath}}/v2/policy-manager/policysets/{{policySetId}}/parents")
  .method("PUT", body)
  .addHeader("x-user-id", "{{userId}}")
  .addHeader("Content-Type", "application/json")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v2/policy-manager/policysets/{{policySetId}}/parents",
  "method": "PUT",
  "timeout": 0,
  "headers": {
    "x-user-id": "{{userId}}",
    "Content-Type": "application/json"
  },
  "data": "{\n    \"id\": {{policySetId}},\n    \"type\": \"PolicySet\"\n}",
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'PUT',
  'url': '{{apiPath}}/v2/policy-manager/policysets/{{policySetId}}/parents',
  'headers': {
    'x-user-id': '{{userId}}',
    'Content-Type': 'application/json'
  },
  body: '{\n    "id": {{policySetId}},\n    "type": "PolicySet"\n}'

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests
import json

url = "{{apiPath}}/v2/policy-manager/policysets/{{policySetId}}/parents"

payload = "{\n    \"id\": {{policySetId}},\n    \"type\": \"PolicySet\"\n}"
headers = {
  'x-user-id': '{{userId}}',
  'Content-Type': 'application/json'
}

response = requests.request("PUT", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v2/policy-manager/policysets/{{policySetId}}/parents');
$request->setMethod(HTTP_Request2::METHOD_PUT);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'x-user-id' => '{{userId}}',
  'Content-Type' => 'application/json'
));
$request->setBody('{\n    "id": {{policySetId}},\n    "type": "PolicySet"\n}');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/v2/policy-manager/policysets/{{policySetId}}/parents")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Put.new(url)
request["x-user-id"] = "{{userId}}"
request["Content-Type"] = "application/json"
request.body = "{\n    \"id\": {{policySetId}},\n    \"type\": \"PolicySet\"\n}"

response = http.request(request)
puts response.read_body
```

```swift
let parameters = "{\n    \"id\": {{policySetId}},\n    \"type\": \"PolicySet\"\n}"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{apiPath}}/v2/policy-manager/policysets/{{policySetId}}/parents")!,timeoutInterval: Double.infinity)
request.addValue("{{userId}}", forHTTPHeaderField: "x-user-id")
request.addValue("application/json", forHTTPHeaderField: "Content-Type")

request.httpMethod = "PUT"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "pagination": {
        "page": 1,
        "pageSize": 100,
        "totalItems": 1,
        "totalPages": 1
    },
    "data": [
        {
            "id": "69d82f74-5561-4f91-b238-0f8bbac97532",
            "type": "PolicySet"
        }
    ]
}
```
